Viviot.Api

<back to all web services

ResendBusinessUserAccessPinCodes

BusinessUserAccesses
Requires Authentication
Requires any of the roles:Admin, TenantAdmin, AccessAdmin, Receptionist
The following routes are available for this service:
PUT/BusinessUserAccess/resendpincodesResends a business user access's currently active PIN code(s) via email.
ResendBusinessUserAccessPinCodes Parameters:
NameParameterData TypeRequiredDescription
BusinessUserAccessIdbodystringYesBusiness user access Id (GUID)
EmailbodystringNoOptional override email address. If not set, sends to the business user's stored email address.
BaseRequest Parameters:
NameParameterData TypeRequiredDescription
VersionformintegerNoApi version
BaseResponse Parameters:
NameParameterData TypeRequiredDescription
ResponseStatusformResponseStatusNo

To override the Content-type in your clients, use the HTTP Accept Header, append the .csv suffix or ?format=csv

HTTP + CSV

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

PUT /BusinessUserAccess/resendpincodes HTTP/1.1 
Host: api.4spaces.io 
Accept: text/csv
Content-Type: text/csv
Content-Length: length

{"businessUserAccessId":"00000000000000000000000000000000","email":"String","version":0}
HTTP/1.1 200 OK
Content-Type: text/csv
Content-Length: length

{"responseStatus":{"errorCode":"String","message":"String","stackTrace":"String","errors":[{"errorCode":"String","fieldName":"String","message":"String","meta":{"String":"String"}}],"meta":{"String":"String"}}}